#
# spec file for package Botan
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define version_suffix 1_10-0
%define short_version 1.10

Name:           Botan
Version:        1.10.0
Release:        1
Url:            http://botan.randombit.net
Summary:        A C++ Crypto Library
License:        BSD3c
AutoReqProv:    on
Prefix:         /usr
Group:          Development/Libraries/C and C++
Source:         Botan-1.10.0.tar.bz2
Patch0:         Botan-inttypes.patch
Patch1:         Botan-ull_constants.patch.bz2
Patch2:         Botan-fix_install_paths.patch
Patch4:         Botan-no-buildtime.patch
Patch5:         Botan-qt_thread_support.patch
Patch6:         Botan-fix_pkgconfig.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       zlib, bzip2 >= 1.0.2, gmp >= 4.1
BuildRequires:  bzip2 >= 1.0.2 gmp-devel >= 4.1 zlib-devel
BuildRequires:  gcc-c++ gmp-devel libbz2-devel openssl-devel python
BuildRequires:  libqt4-devel pkg-config

%description
Botan is a C++ library that provides support for many common
cryptographic operations, including encryption, authentication, and
X.509v3 certificates and CRLs. A wide variety of algorithms is
supported, including RSA, DSA, DES, AES, MD5, and SHA-1.



Authors:
--------
    Jack Lloyd <lloyd@randombit.net>

%package  -n    libbotan-%{version_suffix}


License:        BSD3c
Summary:        A C++ Crypto Library
Group:          Development/Libraries/C and C++

%description -n libbotan-%{version_suffix}
Botan is a C++ library that provides support for many common
cryptographic operations, including encryption, authentication, and
X.509v3 certificates and CRLs. A wide variety of algorithms is
supported, including RSA, DSA, DES, AES, MD5, and SHA-1.



Authors:
--------
    Jack Lloyd <lloyd@randombit.net>

%package        -n libbotan-devel
License:        BSD3c
Summary:        Development files for Botan
Group:          Development/Libraries/C and C++
Requires:       gmp-devel libbz2-devel
Provides:       Botan-devel = %{version}
Obsoletes:      Botan-devel < %{version}
Requires:       libbotan-%{version_suffix} = %{version}

%define botan_docdir %{_datadir}/doc/packages/%{name}-%{version}

%description    -n libbotan-devel
This package contains the header files and libraries needed to develop
programs that use the Botan library.



Authors:
--------
    Name: Jack Lloyd <lloyd@randombit.net>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch4
%patch5
%patch6

%build
export RPM_OPT_FLAGS
%define common_config_flags --libdir=%{_lib} --with-bzip2 --with-zlib --with-gnump --with-openssl
./configure.py --prefix=/usr --libdir=%{_libdir} \
				--docdir=%{_defaultdocdir} \
				--includedir=%{_includedir} \
				--with-bzip2 \
				--with-zlib \
				--with-gnump \
				--with-openssl \
				--enable-modules=qt_mutex \
				--with-tr1-implementation=system  \
				--cpu=%_target_cpu
make %{?_smp_mflags} WARN_FLAGS="$RPM_OPT_FLAGS -I/usr/include/Qt"

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/libbotan*.a

%post -n libbotan-%{version_suffix} -p /sbin/ldconfig

%postun -n libbotan-%{version_suffix} -p /sbin/ldconfig

%files -n libbotan-%{version_suffix}
%defattr(-,root,root)
%docdir %{botan_docdir}
%{botan_docdir}
%{_libdir}/libbotan-%{short_version}.so.*

%files -n libbotan-devel
%defattr(-,root,root)
%{_libdir}/libbotan-%{short_version}.so
%{_libdir}/pkgconfig/botan-%{short_version}.pc
%{_includedir}/botan-%{short_version}
%{_bindir}/botan-config-%{short_version}

%changelog
